Get a run
curl --request GET \
--url https://api.ingestly.ai/runs/{runId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ingestly.ai/runs/{runId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ingestly.ai/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0199a6c2-4b7d-7e01-8f3a-2c4d6e8f0a1b",
"workflowId": "0199a6c1-9e2f-7c3d-8a4b-1c2d3e4f5a6b",
"documentId": "0199a6c2-3f1e-7b2a-9c4d-5e6f7a8b9c0d",
"kind": "full",
"status": "completed",
"startedOn": "2026-10-02T14:03:11+00:00",
"billedCredits": 3,
"parentRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": {
"code": "timeout",
"message": "Timed out"
},
"reference": "PO-1182",
"completedOn": "2023-11-07T05:31:56Z"
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"traceId": "<string>",
"detail": "<string>",
"errors": {}
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"traceId": "<string>",
"detail": "<string>",
"errors": {}
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"traceId": "<string>",
"detail": "<string>",
"errors": {}
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"traceId": "<string>",
"detail": "<string>",
"errors": {}
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"traceId": "<string>",
"detail": "<string>",
"errors": {}
}{
"status": 123,
"title": "<string>",
"type": "<string>",
"instance": "<string>",
"traceId": "<string>",
"detail": "<string>",
"errors": {}
}Runs
Get a run
Returns a run’s status, its failure kind when it failed or was cancelled, the document it processed and the credits it billed. Poll it until status is completed, failed or cancelled.
GET
/
runs
/
{runId}
Get a run
Requires the
runs:read scope. See polling a run for what each status means and when to stop polling.Authorizations
Path Parameters
Response
OK
Example:
"0199a6c2-4b7d-7e01-8f3a-2c4d6e8f0a1b"
Example:
"0199a6c1-9e2f-7c3d-8a4b-1c2d3e4f5a6b"
Example:
"0199a6c2-3f1e-7b2a-9c4d-5e6f7a8b9c0d"
Available options:
full, step_test, up_to_node_test, restart_from_node, fan_out_child, sub_workflow_call Example:
"full"
Available options:
running, completed, failed, cancelled, awaiting_children, queued, review, waiting Example:
"completed"
Example:
"2026-10-02T14:03:11+00:00"
Example:
3
Show child attributes
Show child attributes
Example:
"PO-1182"